<?php
/*
*	<id>chenzhen:snowflakesSMF</id>
*	<name>Snowflakes</name>
*	<type>modification</type>
*/

/*
 * Snowflakes display Modification for SMF forums c/o Chen Zhen @ https://web-develop.ca
 * Copyright 2014 - 2023
 * This software package is distributed under the GNU Lesser General Public License version 3 ( https://opensource.org/licenses/lgpl-3.0.html )
*/

global $txt;

// Snowflakes common
$txt['smf_snowflakes_title'] = 'Snowflakes';
$txt['snowflakesEnable'] = 'Enable/Disable Snowflakes';
$txt['snowflakesMobileDisable'] = 'Disable Snowflakes for Mobile';
$txt['snowflakesTabletDisable'] = 'Disable Snowflakes for Tablets';
$txt['snowflakesHideTranslate'] = 'Hide Google Translate Toolbar';
$txt['snowflakesType'] = 'Snowflake Type';
$txt['snowflakesFiles'] = 'Load jQuery File';
$txt['snowflakesAppend'] = 'Append to &lt;body&gt; of the HTML page.';
$txt['snowflakesAdminArea'] = 'Admin View';
$txt['snowflakes_no_opts'] = 'No other configurable options are available';
$txt['snowflakesDefaults'] = 'Opt Default Settings';
$txt['snowflakesAll'] = 'Toggle All Scripts';
$txt['snowflakesDisableIds'] = 'List css id\'s to disable light effects';
$txt['snowflakesDisableClasses'] = 'List css classes to disable light effects';
$txt['snowflakesActions'] = 'List actions/subactions to disable Snowflakes (comma separated)';
$txt['snowflakesNavMenu'] = 'Disable light effects during navigation';
$txt['snowflakesSearch'] = 'Disable light effects during search';
$txt['snowflakesUserMenu'] = 'Disable light effects for user options';
$txt['snowflakesDisableRange'] = 'Disable light effects for Y coordinate range';
$txt['snowflakesIgnoreRange'] = 'Ignore Y coordinate setting for "Xmas Lights" effect';

// Snowflakes specific
$txt['snowflakesNewOn0'] = 'Density';
$txt['snowflakesNewOn1'] = 'Density';
$txt['snowflakesNewOn2'] = 'Density';
$txt['snowflakesNewOn3'] = 'Density';
$txt['snowflakesNewOn4'] = 'Density';
$txt['snowflakesNewOn5'] = 'Density';

$txt['snowflakesMinSize0'] = 'Minimum Size';
$txt['snowflakesMaxSize0'] = 'Maximum Size';
$txt['snowflakesMinSize1'] = 'Minimum Size';
$txt['snowflakesMaxSize1'] = 'Maximum Size';
$txt['snowflakesMinSize2'] = 'Minimum Size';
$txt['snowflakesMaxSize2'] = 'Maximum Size';
$txt['snowflakesMinSize4'] = 'Minimum Size';
$txt['snowflakesMaxSize4'] = 'Maximum Size';

$txt['snowflakesMinSpeed1'] = 'Minimum Speed';
$txt['snowflakesMaxSpeed1'] = 'Maximum Speed';
$txt['snowflakesMinSpeed2'] = 'Minimum Speed';
$txt['snowflakesMaxSpeed2'] = 'Maximum Speed';
$txt['snowflakesMinSpeed3'] = 'Minimum Speed';
$txt['snowflakesMaxSpeed3'] = 'Maximum Speed';
$txt['snowflakesMaxSpeed5'] = 'Maximum Speed';

$txt['snowflakesFlakeColor0'] = 'Color';
$txt['snowflakesFlakeColor1'] = 'Color';
$txt['snowflakesFlakeColor2'] = 'Color';
$txt['snowflakesFlakeColor3'] = 'Color';

$txt['snowflakesInterval1'] = 'Interval';
$txt['snowflakesInterval3'] = 'Interval';
$txt['snowflakesInterval4'] = 'Interval';
$txt['snowflakesInterval5'] = 'Interval';

$txt['snowflakesFlakeCode1'] = 'Character';
$txt['snowflakesFlakeCode3'] = 'Character';
$txt['snowflakesFlakeCode4'] = 'Character';

$txt['snowflakesImage2'] = 'Image';
$txt['snowflakesImage5'] = 'Image';
$txt['snowflakesImage8'] = 'Image';

$txt['snowflakesCollection2'] = 'Collection Container';

$txt['snowflakesTwinkle3'] = 'Twinkle Effect';
$txt['snowflakesFollow3'] = 'Follow Effect';
$txt['snowflakesMelt3'] = 'Melt Effect';
$txt['snowflakesStick3'] = 'Stick Effect';
$txt['snowflakesMobile3'] = 'Exclude Mobile';

$txt['snowflakesTimeMin4'] = 'Minimum Time';
$txt['snowflakesTimeMax4'] = 'Maximum Time';
$txt['snowflakesExplodeTimeMin4'] = 'Minimum Explode Time';
$txt['snowflakesExplodeTimeMax4'] = 'Maximum Explode Time';

$txt['snowflakesWidth5'] = 'Width';
$txt['snowflakesHeight5'] = 'Height';
$txt['snowflakesFlicker5'] = 'Flicker/Twinkle Effect';

$txt['snowflakesOffset6'] = 'Top Offset';
$txt['snowflakesContainerHeight6'] = 'Container Height';
$txt['snowflakesAuto6'] = 'Auto Config';
$txt['snowflakesNote1_6'] = 'The <span class="error_message">Auto Config</span> settings for this script are based on the default theme.';

$txt['snowflakesOffset7'] = 'Top Offset';
$txt['snowflakesContainerHeight7'] = 'Container Height';
$txt['snowflakesAuto7'] = 'Auto Config';
$txt['snowflakesNote1_7'] = 'It is advisable to adjust the <span class="error_message">top offset and container</span> settings for this script to thwart possible overlay conflicts.';

$txt['snowflakesOffset8'] = 'Top Offset';
$txt['snowflakesContainerHeight8'] = 'Container Height';
$txt['snowflakesAuto8'] = 'Auto Config';
$txt['snowflakesNote1_8'] = 'It is advisable to adjust the <span class="error_message">top offset and container</span> settings for this script to thwart possible overlay conflicts.';

// Titles
$txt['snowflakes_main'] = 'Main Settings';
$txt['snowflakes_general'] = 'General Settings';
$txt['snowflakes_specific'] = '&*@# Settings';
$txt['smf_snowflakes0'] = 'Snowflake';
$txt['smf_snowflakes1'] = 'Flurry';
$txt['smf_snowflakes2'] = 'Diverse';
$txt['smf_snowflakes3'] = 'Snowstorm';
$txt['smf_snowflakes4'] = 'Fireworks';
$txt['smf_snowflakes5'] = 'Halloween';
$txt['smf_snowflakes6'] = 'Xmas Lights';
$txt['smf_snowflakes7'] = 'Xmas Light Strands';
$txt['smf_snowflakes8'] = 'Xmas Wired Lights';
$txt['smf_snowflakes99'] = 'Random Effect';
$txt['smf_snowflakes_select'] = '-- Select Image --';

// Permissions
$txt['permissionname_snowflakes_no_view'] = 'Disable Snowflakes';
$txt['permissiongroup_snowflakes_perms'] = 'Snowflakes';
$txt['permissiongroup_simple_snowflakes_perms'] = 'Snowflakes';
$txt['permissiongroup_classic_snowflakes_perms'] = 'Snowflakes';
$txt['snowflakes_no_view'] = 'Disable Snowflakes';
$txt['snowflakes_profile_view'] = 'Allow membergroup to disable Snowflakes';
$txt['permissionname_snowflakes_profile_view'] = 'Allow membergroup to disable Snowflakes';

// Profile
$txt['snowflakes_profile'] = 'Snowflakes';
$txt['snowflakes_prefs'] = 'Disable Snowflakes';

// Error messages
$txt['snowflakesSMF_ErrorMessage'] = 'You are not permitted to view this section';
$txt['snowflakesSMF_ErrorImage'] = 'Error resizing image file: @&!# - file may be an invalid image type or corrupt';
?>